## knockd 0.7

=== debian/changelog ===
knockd (0.7-1ubuntu3) eoan; urgency=medium

  * d/knockd.service:
    - Change ProtectSystem to 'true', to allow using ufw in knockd rules
      (LP: #1823051)
    - Add CAP_SYS_MODULE so knockd can load iptables modules if needed
      (LP: #1825974)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 23 Apr 2019 06:31:56 -0400

knockd (0.7-1ubuntu2) disco; urgency=medium

  * Fix systemd knockd.service file:
    - use After=network-online.target (LP: #1819345)
    - add [Install] so knockd service can be enabled (LP: #1799697)

 -- Dan Streetman <ddstreet@canonical.com>  Sun, 10 Mar 2019 11:13:50 -0400

knockd (0.7-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add debian/patches/manpage_fix.patch to fix path of iptables in the manpage.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Nov 2016 10:55:06 +0100

knockd (0.7-1) unstable; urgency=medium

  * [b2567e28] New upstream version 0.7 (closes: #761853)
    - adds timeout to pcap_open_live (closes: #816388, #308078)
  * [48f78ca5] bump policy to 3.9.8 (no changes)
  * [0b63eacb] update homepage url
  * [86381cd5] migrate to dh short notation
  * [4a38db8d] drop patches/include_limits_h: fixed upstream
  * [42ec7481] drop patches/manpage_cmd_timeout: fixed upstream
  * [733d82a7] switch to source/format 3.0 (quilt)
  * [bfc99c1f] add systemd support (closes: #729663)
  * [197eb24d] init: add dependency on $remote_fs
  * [848daeab] add hardening flags
  * [5c686b87] remove knock client docs from installation
  * [805dec71] debian/control: add VCS URL
  * [14a9bb3f] add watch file

 -- Leo Antunes <costela@debian.org>  Sat, 08 Oct 2016 16:05:00 +0200

knockd (0.5-3ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add debian/patches/manpage_fix.patch to fix path of iptables in the manpage.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 25 Mar 2009 09:27:37 +0100

knockd (0.5-3) unstable; urgency=low

  * debian/patches/include_limits_h.patch: add explicit include for 
    limits.h (closes: #518882)
  * debian/control: 
      - bump policy to 3.8.0 (no changes)
      - bump debhelper build-dep to 7
  * debian/compat: bump to 7
  * debian/copyright: add version to common-licences reference

 -- Leo Costela <costela@debian.org>  Tue, 10 Mar 2009 00:27:42 +0100

knockd (0.5-2ubuntu2) gutsy; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Aug 2007 08:06:50 +0000

knockd (0.5-2ubuntu1) dapper; urgency=low

  * debian/patches/manpage_fix.patch
    Fixes patth of iptables in knockd.1.man. (closes: Malone #31379).

 -- Chuck Short <zulcss@gmail.com>  Wed, 19 Apr 2006 12:50:10 -0400

knockd (0.5-2) unstable; urgency=low

  * acknoledge NMU (thanks Francesco!)
  * debian/patches:
    - add manpage_cmd_timeout.patch (closes: #418842) (thanks Bernd Zeimetz)
    - add syslog_facility_daemon.patch to log to facility DAEMON
    - change default_config.patch to use SysLog by default (closes: #299789)
  * debian/logrotate: removed (see above)
  * debian/control:
    - add Homepage field and correct address (closes:#435568)
    - update to policy 3.7.3 (no changes)
    - bump dependency on debhelper to >=5
    - add build-dep on autotools-dev to update config.{sub,guess}
    - remove unused misc:Depends
  * debian/compat: bump to 5
  * debian/init:
    - include LSB session
    - overhaul and 'LSB-zation'
    - fail to start gracefully, enabling upgrades in case of failure 
      (closes: #399662)

 -- Leo Costela <costela@debian.org>  Sun, 09 Dec 2007 01:54:11 +0100

knockd (0.5-1.1) unstable; urgency=high

  * NMU
  * Fixing wrong SIGCHLD reaper with knockd.patch. It causes a lot of zombies around due to use of a simple wait().
    This patch should go upstream, too.
    (closes: #373009)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue,  7 Nov 2006 21:16:30 +0100

knockd (0.5-1) unstable; urgency=low

  * New upstream release
  * Fixed typo in changelog
  * Included logrotate script (sorry for the stupid delay) (closes: #299789)
  * Changed build system to CDBS
  * Changed default permissions of config file to 640 root.root

 -- Leo Costela <costela@debian.org>  Wed, 06 Jul 2005 17:53:24 -0300

knockd (0.4-1) unstable; urgency=low

  * New upstream release

 -- Leo Costela <costela@debian.org>  Tue, 18 Jan 2005 09:19:20 -0300

knockd (0.3.1-1) unstable; urgency=low

  * New upstream release

 -- Leo Costela <costela@debian.org>  Fri, 17 Sep 2004 10:08:42 -0300

knockd (0.3-2) unstable; urgency=low

  * debian/control: add a few infos (closes: #271719)
  * debian/init, debian/default: made option handling in default file more
    generic (closes: #271718)
  * debian/rules: corrected unpatch logic (closes: #271720)
  * all of the above are thanks: Javier Fernández-Sanguino Peña
    <jfs@computer.org>
  * corrected the time zone in the changelog

 -- Leo Costela <costela@debian.org>  Tue, 14 Sep 2004 17:21:35 -0300

knockd (0.3-1) unstable; urgency=low

  * New upstream release
  * Corrected config and example files to point to /sbin/iptables (closes: #247519)
  * Corrected debian/rules to make propper use of CFLAGS (I could have sworn
    it was working here)
  * Added an INTERFACE directive to /etc/default/knockd (closes: #248022)
  * Changed build-dep from libpcap-dev to libpcap0.8-dev to reflect source
    changes

 -- Leo Costela <costela@debian.org>  Fri, 07 May 2004 17:35:46 -0300

knockd (0.2.1-2) unstable; urgency=low

  * Corrected init-script logic and removed extra lines

 -- Leo Costela <costela@debian.org>  Mon, 26 Apr 2004 08:48:06 -0300

knockd (0.2.1-1) unstable; urgency=low

  * New uptream version
  * First Debian release (closes: #243838)

 -- Leo Costela <costela@debian.org>  Thu, 15 Apr 2004 22:52:05 -0300

knockd (0.2-1) unstable; urgency=low

  * New upstream version
  * Patch incorporated into upstream


