=== debian/control ===
Source: knockd
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Leo Antunes <costela@debian.org>
Build-Depends: debhelper (>= 9.20160709~), autotools-dev, libpcap0.8-dev
Standards-Version: 3.9.8
Homepage: http://www.zeroflux.org/projects/knock
VCS-Git: git://anonscm.debian.org/collab-maint/knockd.git

Package: knockd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, logrotate, lsb-base (>= 3.0-6)
Description: small port-knock daemon
 A port-knock server that listens to all traffic on a given network
 interface (only Ethernet and PPP are currently supported), looking for 
 a special "knock" sequences of port-hits. A remote system 
 makes these port-hits by sending a TCP (or UDP) packet to a port on the
 server. When the server detects a specific sequence of port-hits, it
 runs a command defined in its configuration file. This can be used to
 open up holes in a firewall for quick access.
