=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,--no-undefined,--no-add-needed
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with autotools-dev --with systemd

override_dh_install:
	dh_install
	# original installation has duplicate docs for knock and knockd
	rm -rf debian/knockd/usr/share/doc/knock

# the standard config is unsafe
override_dh_systemd_enable:
	dh_systemd_enable --no-enable

override_dh_systemd_start:
	dh_systemd_start --no-start

override_dh_installinit:
	dh_installinit --no-start
