## knockd 0.8

=== debian/changelog ===
knockd (0.8-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:35:06 +1100

knockd (0.8-2build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:59:36 +0100

knockd (0.8-2) unstable; urgency=medium

  * [688ef43f] systemd: downgrade ProtectSystem to "true" from "full"
    (Closes: #927883)

 -- Leo Antunes <costela@debian.org>  Tue, 02 Nov 2021 23:40:19 +0100

knockd (0.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Fix wrong Vcs-*

  [ Leo Antunes ]
  * [ab774823] debian: update VCS fields
  * [6cf96b87] debian: bump to up-to-date formats overall
  * [74aada02] New upstream version 0.8
  * [75a1e52e] debian: add gbp.conf
  * [15d6b105] drop reap_child_procs.patch (merged upstream)
  * [3ef12dba] update patches for improved DEP3
  * [e87735fc] d.knockd.service: ensure service is enabled (Closes: #868015)
  * [07da25fb] d/upstream/metadata: add
  * [bfe2e959] d/rules: remove old dh options
  * [3009b440] d/control: remove unnecessary deps
  * [a626515f] d/rules: fix permissions for /etc/knockd.conf (Closes: #902022)
  * [614debf1] d/control: use HTTPS for Vcs-Git URL
  * [ca7bf832] d/knockd.service: only start when online
  * [7495e2b1] d/patches: fix manpage to match debian config
  * [e09f46d2] d/copyright: add missing license block
  * [e10d4e01] d/control: switch from d/compat to debhelper-compat dep

 -- Leo Antunes <costela@debian.org>  Tue, 19 Oct 2021 12:10:26 +0200
