=== debian/control ===
Source: knockd
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Leo Antunes <costela@debian.org>
Build-Depends: debhelper-compat (= 13), libpcap0.8-dev
Standards-Version: 4.6.0.1
Homepage: http://www.zeroflux.org/projects/knock
Vcs-Git: https://salsa.debian.org/debian/knockd.git
Vcs-Browser: https://salsa.debian.org/debian/knockd

Package: knockd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, logrotate, lsb-base (>= 11.0.0)
Description: small port-knock daemon
 A port-knock server that listens to all traffic on a given network
 interface (only Ethernet and PPP are currently supported), looking for
 a special "knock" sequences of port-hits. A remote system
 makes these port-hits by sending a TCP (or UDP) packet to a port on the
 server. When the server detects a specific sequence of port-hits, it
 runs a command defined in its configuration file. This can be used to
 open up holes in a firewall for quick access.
