=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/knock-$1\.tar\.gz/ \
  https://github.com/jvinet/knock/tags .*/v?(\d\S+)\.tar\.gz
